summaryrefslogtreecommitdiff
path: root/recipes-navigation/gpsd/gpsd/gpsd
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-navigation/gpsd/gpsd/gpsd')
-rwxr-xr-xrecipes-navigation/gpsd/gpsd/gpsd14
1 files changed, 7 insertions, 7 deletions
diff --git a/recipes-navigation/gpsd/gpsd/gpsd b/recipes-navigation/gpsd/gpsd/gpsd
index 6674028..ed86ecf 100755
--- a/recipes-navigation/gpsd/gpsd/gpsd
+++ b/recipes-navigation/gpsd/gpsd/gpsd
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
### BEGIN INIT INFO
# Provides: gpsd
# Required-Start: $remote_fs $network
@@ -51,9 +51,6 @@ fi
#
do_start()
{
- if ((GPSD_NOSTART != 0)) ; then
- exit 0
- fi
/usr/sbin/start-stop-daemon -N -20 --start --quiet --pidfile $PIDFILE --exec $DAEMON --test \
-- $GPSD_OPTIONS -P $PIDFILE $GPS_DEVICES > /dev/null \
|| return 1
@@ -119,9 +116,12 @@ do_status() {
case "$1" in
start)
- echo "Starting $DESC" "$NAME"
- do_start
- exit $?
+ if ! [[ $ENABLED =~ ^[yY][eE][sS]$ ]] ; then
+ exit 0
+ fi
+ echo "Starting $DESC" "$NAME"
+ do_start
+ exit $?
;;
stop)
echo "Stopping $DESC" "$NAME"